Commit 741caa44 authored by SataQiu's avatar SataQiu

fix bug and golint failures of hack/verify-api-groups.sh

parent b32b742d
......@@ -41,7 +41,6 @@
./hack/pin-dependency.sh
./hack/test-integration.sh
./hack/update-vendor.sh
./hack/verify-api-groups.sh
./hack/verify-boilerplate.sh
./hack/verify-cli-conventions.sh
./hack/verify-codegen.sh
......
......@@ -21,7 +21,7 @@ set -o errexit
set -o nounset
set -o pipefail
KUBE_ROOT=$(dirname "${BASH_SOURCE}")/..
KUBE_ROOT=$(dirname "${BASH_SOURCE[0]}")/..
source "${KUBE_ROOT}/hack/lib/init.sh"
prefix="${KUBE_ROOT%"k8s.io/kubernetes"}"
......@@ -98,7 +98,6 @@ packages_without_install=(
)
known_version_files=(
"pkg/master/import_known_versions.go"
"pkg/client/clientset_generated/internal_clientset/import_known_versions.go"
)
for expected_install_package in "${expected_install_packages[@]}"; do
found=0
......@@ -112,8 +111,8 @@ for expected_install_package in "${expected_install_packages[@]}"; do
fi
for known_version_file in "${known_version_files[@]}"; do
if ! grep -q "${expected_install_package}/install" ${known_version_files} ; then
echo "missing ${expected_install_package}/install from ${known_version_files}"
if ! grep -q "${expected_install_package}/install" "${known_version_file}" ; then
echo "missing ${expected_install_package}/install from ${known_version_file}"
exit 1
fi
done
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment